import { ComponentRef } from "@angular/core";
import { Observable } from "rxjs";
import { IMdlDialogConfiguration } from "./mdl-dialog-configuration";
import { MdlDialogReference } from "./mdl-dialog-reference";
import { MdlDialogHostComponent } from "./mdl-dialog-host.component";
/**
 * Internal representation of the dialog ref. the service
 * user should not have access to the created components
 * and internal implementations.
 */
export declare class InternalMdlDialogReference {
    config: IMdlDialogConfiguration;
    hostDialogComponentRef: ComponentRef<MdlDialogHostComponent> | undefined;
    isModal: boolean | undefined;
    dialogRef: MdlDialogReference | undefined;
    private onHideSubject;
    private onVisibleSubject;
    constructor(config: IMdlDialogConfiguration);
    closeCallback: () => void;
    get hostDialog(): MdlDialogHostComponent | undefined;
    hide(data?: unknown): void;
    visible(): void;
    onHide(): Observable<unknown>;
    onVisible(): Observable<void>;
}
