import { AfterViewInit, ElementRef, OnDestroy, OnInit, Renderer2 } from "@angular/core";
import { MdlError } from "../common/mdl-error";
import { MdlButtonComponent } from "../button/mdl-button.component";
import * as i0 from "@angular/core";
export declare class MdlMenuError extends MdlError {
}
export declare class MdlMenuRegisty {
    menuComponents: MdlMenuComponent[];
    add(menuComponent: MdlMenuComponent): void;
    remove(menuComponent: MdlMenuComponent): void;
    hideAllExcept(menuComponent: MdlMenuComponent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MdlMenuRegisty, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MdlMenuRegisty>;
}
export declare class MdlMenuComponent implements OnInit, AfterViewInit, OnDestroy {
    private renderer;
    private menuRegistry;
    position: string | undefined;
    containerChild: ElementRef | undefined;
    menuElementChild: ElementRef | undefined;
    outlineChild: ElementRef | undefined;
    cssPosition: string;
    private container;
    private menuElement;
    private outline;
    private isVisible;
    constructor(renderer: Renderer2, menuRegistry: MdlMenuRegisty);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    toggle(event: Event, mdlButton: MdlButtonComponent): void;
    hideOnItemClicked(): void;
    hide(): void;
    show(event: Event, mdlButton: MdlButtonComponent): void;
    ngOnDestroy(): void;
    private addAnimationEndListener;
    private applyClip;
    static ɵfac: i0.ɵɵFactoryDeclaration<MdlMenuComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MdlMenuComponent, "mdl-menu", ["mdlMenu"], { "position": "mdl-menu-position"; }, {}, never, ["*"], false, never>;
}
