import { ElementRef, EventEmitter, OnDestroy, OnInit, Renderer2 } from "@angular/core";
import { ControlValueAccessor, FormGroupName } from "@angular/forms";
import * as i0 from "@angular/core";
export declare class MdlRadioGroupRegisty {
    private defaultFormGroup;
    private radioComponents;
    add(radioComponent: MdlRadioComponent, formGroupName: FormGroupName): void;
    remove(radioComponent: MdlRadioComponent): void;
    select(radioComponent: MdlRadioComponent, formGroupName: FormGroupName): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MdlRadioGroupRegisty, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MdlRadioGroupRegisty>;
}
export declare class MdlRadioComponent implements ControlValueAccessor, OnInit, OnDestroy {
    private elementRef;
    private renderer;
    private radioGroupRegistry;
    private formGroupName;
    name: string | undefined;
    formControlName: string | undefined;
    value: unknown;
    tabindex: null;
    change: EventEmitter<unknown>;
    checked: boolean;
    isUpgraded: boolean;
    isRadio: boolean;
    optionValue: unknown;
    private readonly el;
    private onTouchedCallback;
    private onChangeCallback;
    private disabledIntern;
    constructor(elementRef: ElementRef, renderer: Renderer2, radioGroupRegistry: MdlRadioGroupRegisty, formGroupName: FormGroupName);
    get disabled(): boolean;
    set disabled(value: boolean);
    onClick(): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
    writeValue(optionValue: unknown): void;
    deselect(value: unknown): void;
    registerOnChange(fn: (v: unknown) => unknown): void;
    registerOnTouched(fn: () => unknown): void;
    setDisabledState(isDisabled: boolean): void;
    onFocus(): void;
    onBlur(): void;
    spaceKeyPress(): void;
    private updateCheckState;
    private checkName;
    static ɵfac: i0.ɵɵFactoryDeclaration<MdlRadioComponent, [null, null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MdlRadioComponent, "mdl-radio", never, { "name": "name"; "formControlName": "formControlName"; "value": "value"; "tabindex": "tabindex"; "disabled": "disabled"; }, { "change": "change"; }, never, ["*"], false, never>;
}
