import { DoCheck, ElementRef, EventEmitter, InjectionToken, OnChanges, Renderer2 } from "@angular/core";
import { ControlValueAccessor } from "@angular/forms";
import * as i0 from "@angular/core";
export declare const DISABLE_NATIVE_VALIDITY_CHECKING: InjectionToken<boolean>;
export declare class MdlTextFieldComponent implements ControlValueAccessor, OnChanges, DoCheck {
    private renderer;
    private elmRef;
    private nativeCheckGlobalDisabled;
    blurEmitter: EventEmitter<FocusEvent>;
    focusEmitter: EventEmitter<FocusEvent>;
    keyupEmitter: EventEmitter<KeyboardEvent>;
    inputEl: ElementRef | undefined;
    type: string;
    label: string | undefined;
    pattern: string | undefined;
    min: number | string | undefined;
    max: number | string | undefined;
    step: number | string | undefined;
    name: string | undefined;
    id: string;
    errorMessage: string | undefined;
    placeholder: string | undefined;
    autocomplete: string | undefined;
    icon: string | undefined;
    tabindex: number | string | null;
    maxlength: number | string | null;
    isTextfield: boolean;
    isUpgraded: boolean;
    private valueIntern;
    private readonly el;
    private onTouchedCallback;
    private onChangeCallback;
    private disabledIntern;
    private readonlyIntern;
    private requiredIntern;
    private autofocusIntern;
    private isFloatingLabelIntern;
    private rowsIntern;
    private maxrowsIntern;
    private disableNativeValidityCheckingIntern;
    constructor(renderer: Renderer2, elmRef: ElementRef, nativeCheckGlobalDisabled: boolean);
    get value(): string | number | null;
    set value(v: string | number | null);
    get disabled(): boolean;
    set disabled(value: boolean | string);
    get readonly(): boolean;
    set readonly(value: boolean);
    get required(): boolean;
    set required(value: boolean | string);
    get autofocus(): boolean;
    set autofocus(value: boolean | string);
    get isFloatingLabel(): boolean;
    set isFloatingLabel(value: boolean | string);
    get rows(): number | string | null | undefined;
    set rows(value: number | string | null | undefined);
    get maxrows(): number;
    set maxrows(value: number | string | null);
    get disableNativeValidityChecking(): boolean | string;
    set disableNativeValidityChecking(value: boolean | string);
    writeValue(value: string | number): void;
    registerOnChange(fn: () => unknown): void;
    registerOnTouched(fn: () => unknown): void;
    setDisabledState(isDisabled: boolean): void;
    ngOnChanges(): void;
    ngDoCheck(): void;
    setFocus(): void;
    keydownTextarea($event: KeyboardEvent): void;
    triggerChange(event: Event): void;
    onFocus(event: FocusEvent): void;
    onBlur(event: FocusEvent): void;
    onKeyup(event: KeyboardEvent): void;
    private checkDisabled;
    private checkValidity;
    private checkDirty;
    static ɵfac: i0.ɵɵFactoryDeclaration<MdlTextFieldComponent, [null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MdlTextFieldComponent, "mdl-textfield", never, { "type": "type"; "label": "label"; "pattern": "pattern"; "min": "min"; "max": "max"; "step": "step"; "name": "name"; "id": "id"; "errorMessage": "error-msg"; "placeholder": "placeholder"; "autocomplete": "autocomplete"; "icon": "icon"; "tabindex": "tabindex"; "maxlength": "maxlength"; "value": "value"; "disabled": "disabled"; "readonly": "readonly"; "required": "required"; "autofocus": "autofocus"; "isFloatingLabel": "floating-label"; "rows": "rows"; "maxrows": "maxrows"; "disableNativeValidityChecking": "disableNativeValidityChecking"; }, { "blurEmitter": "blur"; "focusEmitter": "focus"; "keyupEmitter": "keyup"; }, never, never, false, never>;
}
